#### D.6.21.2 CMtype

Procedure from library `spcurve.lib` (see spcurve_lib).

Usage:
  CMtype(i); i an ideal, CM of codimension 2

Return:
  Cohen-Macaulay type of i (integer)
  (-1, if i is not Cohen-Macaulay of codimension 2)

Example:

    LIB "spcurve.lib";
    ring r=32003,(x,y,z),ds;
    ideal i=xy,xz,yz;
    CMtype(i);
    ==> 2

User manual for Singular version 4.4.1, 2025, generated by texi2html.